# Https protocol replace #


```
#!json
{
    "repositories": [
        {
            "type": "composer",
            "url":  "http://packages.bydedi.com"
        }
    ]
}
```

```
#!shell

composer require bydedi/https
```


##Usage
### Register smarty filter in SiteSmarty (or Site_Smarty) class
v2

```
#!php
$this->register_outputfilter(array(SSL::getInstance(),'smartyOutputFilter'));
```

v3

```
#!php
$this->registerFilter('output',array(SSL::getInstance(),'smartyOutputFilter'));
```

### Replace in backend html output

Add following in Backmodule::displayForm() and Backmodule::displayList() method just before return statement
```
#!php
$out = SSL::getInstance()->replaceHttpProtocol($out);
```

##Advanced usage
By default only "src" and "data-original" html attributes content are replaces. However it is possible to change replaced attributes :
```
#!php
/**
* @param array Attributes
* default array('src','data-original')
**/
SSL::getInstance()->setAttributes( $attributes);
```
It is possible to add custom replace action with classes extending SSLExtensionInterface:
```
#!php
SSL::getInstance()->addExtension(new CustomSSLExtension());
```

